# Uses of Class
org.kapott.hbci.sepa.jaxb.camt_052_001_04.BankTransactionCodeStructure4

Packages that use BankTransactionCodeStructure4
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Uses of BankTransactionCodeStructure4 in org.kapott.hbci.sepa.jaxb.camt_052_001_04

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_04 declared as BankTransactionCodeStructure4
Modifier and Type
Field
Description
`protected BankTransactionCodeStructure4`
EntryTransaction4.`bkTxCd`
`protected BankTransactionCodeStructure4`
ReportEntry4.`bkTxCd`
`protected BankTransactionCodeStructure4`
TotalsPerBankTransactionCode3.`bkTxCd`
`protected BankTransactionCodeStructure4`
PaymentReturnReason2.`orgnlBkTxCd`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_04 that return BankTransactionCodeStructure4
Modifier and Type
Method
Description
`BankTransactionCodeStructure4`
ObjectFactory.`createBankTransactionCodeStructure4()`
Create an instance of `BankTransactionCodeStructure4`
`BankTransactionCodeStructure4`
EntryTransaction4.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure4`
ReportEntry4.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure4`
TotalsPerBankTransactionCode3.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure4`
PaymentReturnReason2.`getOrgnlBkTxCd()`
Gets the value of the orgnlBkTxCd property.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_04 with parameters of type BankTransactionCodeStructure4
Modifier and Type
Method
Description
`void`
EntryTransaction4.`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
ReportEntry4.`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
TotalsPerBankTransactionCode3.`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
PaymentReturnReason2.`setOrgnlBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the orgnlBkTxCd property.